intern-0.9.1.1: Efficient hash-consing for arbitrary data types

Safe Haskell | None

Data.Interned.Internal.ByteString

# Documentation

data InternedByteString Source

Constructors

InternedByteString |

Fields

internedByteStringId :: !Id
uninternByteString :: !ByteString

Instances

Eq InternedByteString |
Ord InternedByteString |
Show InternedByteString |
IsString InternedByteString |
Uninternable InternedByteString |
Interned InternedByteString |
Eq (Description InternedByteString) |
Hashable (Description InternedByteString) |